LibreOffice: XVBAEventProcessor Interface Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XVBAEventProcessor Interface Reference

Executes VBA event handlers. More...

`import"XVBAEventProcessor.idl";`

Inheritance diagram for XVBAEventProcessor:

## Public Member Functions
boolean | hasVbaEventHandler ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException)
| Returns whether a VBA event handler exists. More...
boolean | processVbaEvent ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::VetoException)
| Executes a VBA event handler. More...

## Detailed Description

Executes VBA event handlers.

## Member Function Documentation

## ◆ hasVbaEventHandler()

boolean hasVbaEventHandler | ( | [in] long | nEventId,
|  | [in] sequence< any > | aArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns whether a VBA event handler exists.

Parameters

  nEventId | The identifier of the event. Must be a constant from VBAEventId.
  aArgs | Additional arguments needed to identify some event handlers, e.g. a sheet index for spreadsheet events.

Returns
  `TRUE`, if the VBA event handler exists. `FALSE`, for all other cases.

## ◆ processVbaEvent()

boolean processVbaEvent | ( | [in] long | nEventId,
|  | [in] sequence< any > | aArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::util::VetoException
| ) |  |

Executes a VBA event handler.

Parameters

  nEventId | The identifier of the event. Must be a constant from VBAEventId.
  aArgs | The input arguments needed to create the argument list of the VBA event handler.

Returns
  `TRUE`, if event handing is enabled, and the event handler macro exists and has been invoked.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the passed event identifier is not supported, or if the passed arguments do not conform to the arguments expected by the specified event.
  com::sun::star::util::VetoException | if the VBA event handler has indicated to veto the event.

The documentation for this interface was generated from the following file:

- com/sun/star/script/vba/XVBAEventProcessor.idl